rs.AddEdgeSrf(curve_ids) for more than 4 edges

How do I add a surface from edge curves when I have around 6 edges using function similar to rs.AddEdgeSrf(curve_ids)?

@pascal

This is no EdgeSrf type function in Rhino for making surfaces from more than 4 edges.

If the curves are planar you can use rs.AddPlanarSrf(curve_ids)

Otherwise probably rs.AddPatch()…
https://developer.rhino3d.com/api/RhinoScriptSyntax/#collapse-AddPatch

Or, figure out a way to join/merge the edges to be able to use some other surface creation method.

@Helvetosaur

I tried this, but still I am not able to create a surface, and after joining the curves I have landed on six curves.

Hello- if you can join adjoining curves to bring the total down to four, you might get a surface but it is unlikely to be a very nice one unless you also Rebuild opposite pairs of curves to the same point count and degree.

-Pascal